Subject: Re: bug#57480: Wrong Type To Apply on Reconfigure

From: John Kehayias <[email-masked]>
Date: Tue, 30 Aug 2022 15:09:18 +0000

Hello,

On Tue, Aug 30, 2022 at 02:49 PM, 宋文武 wrote:

> Julien Lepiller <[email-masked]> writes:
>
>> I don't know how to fix it, but here is what I think is the issue:
>>
>> in guix/scripts/system/reconfigure.scm:
>>
>> #:autoload   (guix describe) (current-channels)
>> ...
>> (define* (check-forward-update ...
>>            (current-channels ...))
>>   (define new (current-channels)) ; this is supposed to be the
>>          ; autoloaded procedure, but it's the keyword argument
>>          ; which is a list
>>   ... ; uses of current-channels, the keyword argument
>>
>> Le Mon, 29 Aug 2022 23:01:46 -0400,
>> Christopher Rodriguez <[email-masked]> a écrit :
>>
>>> Hello All,
>>>
>>> A change made in b084398 is preventing both my system and home
>>> configurations from building with a Wrong Type to Apply error. Did the
>>> channel spec format change with the changes in that commit?
>
> Hello, I revert the commit b084398 for now.

Thanks, I was able to reconfigure after a guix pull to
466038b2e552f5550252afb1a22e3936bc455cfc

John